#include "mocapy.h"

// Global DBN object
mocapy::DBN* dbn;

void makeDBN() {
  dbn = new mocapy::DBN();
  cout << "New DBN created" << endl;
}

void loadDBN(char* filename) {
  dbn->load(filename);
  cout << "DBN loaded" << endl;
}

std::vector<double> sample(int i) {
  pair<mocapy::Sequence, double> r = dbn->sample_sequence(i);
  return r.first.get_values_flat();
}


int main() {
}
